## gsocket 1.4.33

=== packaging/openwrt/gsocket/Makefile ===
# https://gsocket.io

include $(TOPDIR)/rules.mk

PKG_NAME:=gsocket
PKG_VERSION:=1.4.33
PKG_RELEASE:=1

#PKG_LICENSE:=BSD-2-Clause
#PKG_LICENSE_FILES:=LICENSE

PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)

# PKG_SOURCE_PROTO:=git
# PKG_SOURCE_URL:=https://github.com/hackerschoice/gsocket.git
# PKG_SOURCE_VERSION:=98a85e270c8ee5757134f00636a5358432cd3d83

# Direct file download
PKG_SOURCE_URL:=https://github.com/hackerschoice/gsocket/releases/download/v$(PKG_VERSION)/
PKG_HASH:=5bbc850a274b933a4e8b0ac7d5bc8b0527c3eddbaee7f8a9389c284f27a6fe14

# For testing copy to openwrt/dl
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz

# dont need 'make install'
#PKG_INSTALL:=1

PKG_MAINTAINER:=skyper <skyper@thc.org>

include $(INCLUDE_DIR)/package.mk

define Package/gsocket
  SECTION:=net
  CATEGORY:=Network
  DEPENDS:=+libopenssl
  TITLE:=Connect like there is no firewall
  URL:=https://gsocket.io
endef

define Package/gsocket/description
  Connect like there is no firewall
endef

define Build/Configure
 $(call Build/Configure/Default,--with-linux-headers=$(LINUX_DIR) --libdir=$(STAGING_DIR)/usr/lib --includedir=$(STAGING_DIR)/usr/include)
endef
#  $(call Build/Configure/Default,--with-linux-headers=$(LINUX_DIR))

define Build/Compile
	$(MAKE) -C $(PKG_BUILD_DIR) \
	LD="$(TARGET_CXX)" \
	all
endef

define Package/gsocket/install
	$(INSTALL_DIR)	$(1)/bin
	$(INSTALL_DIR)	$(1)/share/gsocket
	$(INSTALL_DIR)	$(1)/lib
	$(INSTALL_DIR)	$(1)/etc
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gs-sftp			$(1)/bin/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gs-mount			$(1)/bin/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/blitz				$(1)/bin/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gsocket			$(1)/bin/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gs-netcat		$(1)/bin/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gs_funcs			$(1)/share/gsocket/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gsocket_uchroot_dso.so.0		$(1)/lib/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gsocket_dso.so.0						$(1)/lib/
	$(INSTALL_CONF) $(PKG_BUILD_DIR)/tools/gsocket.conf								$(1)/etc/
endef

$(eval $(call BuildPackage,gsocket))

## gsocket 1.4.29

=== debian/changelog ===
gsocket (1.4.29-1) unstable; urgency=medium

  * Initial release (Closes: #986297)

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 09 Apr 2021 23:51:38 -0500

=== debian/control ===
Source: gsocket
Section: net
Priority: optional
Maintainer: Daniel Echeverri <epsilon@debian.org>
Build-Depends: debhelper-compat (= 13), libbsd-dev, libssl-dev
Standards-Version: 4.5.1
Homepage: https://github.com/hackerschoice/gsocket
Vcs-Browser: https://salsa.debian.org/debian/gsocket
Vcs-Git: https://salsa.debian.org/debian/gsocket.git
Rules-Requires-Root: no

Package: gsocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Allows two machines on different networks to communicate with each other
 Abandon the thought of IP Addresses and Port Numbers. Instead start thinking
 that two programs should be able to communicate with each other as long as
 they know the same secret (rather than each other's IP Address and Port
 Number). The Global Socket library facilitates this: It locally derives
 temporary session keys and IDs and connects two programs through the Global
 Socket Relay Network (GSRN) regardless and independent of the local IP
 Address or geographical location.
 .
 Once connected the library then negotiates a secure TLS connection(End-2-End).
 The secret never leaves your workstation. The GSRN sees only the encrypted
 traffic.
 .
 The GSRN is a free cloud service and is free to use by anyone.
 .
 The Global Socket Toolkit comes with a set of tools:
 .
 gsocket - Makes an existing program (behind firewall or NAT) accessible from
 anywhere in the world. It does so by analyzing the program and replacing the
 IP-Layer with its own Gsocket-Layer. A client connection to a hostname ending
 in '*.gsocket' then gets automatically redirected (via the GSRN) to this
 program.
 .
 gs-netcat - Netcat on steroids. Turn gs-netcat into an AES-256 encrypted
 reverse backdoor via TOR (optional) with a true PTY/interactive command shell
 (gs-netcat -s MySecret -i), integrated file-transfer, spawn a Socks4/4a/5
 proxy or forward TCP connections or give somebody temporary shell access.
 .
 gs-sftp - sftp server & client between two firewalled workstations.
 gs-mount - Access and mount a remote file system.
 blitz - Copy data from workstation to workstation.

## gsocket 1.4.33

=== debian/changelog ===
gsocket (1.4.33-2ubuntu1) jammy; urgency=medium

  * Remove flaky-tests, they hang up the testing infrastructure.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 07 Mar 2022 13:47:11 +0100

gsocket (1.4.33-2) unstable; urgency=medium

  * Mark test 6.1 as flaky test. (Closes: #1005890)
  * Fix typo in d/upstream/metadata file.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 19 Feb 2022 11:18:52 -0500

gsocket (1.4.33-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version to 4.6.0 (no changes)
  * debian/patches
    + Remove all patches.
      + Merge with upstream.

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 27 Aug 2021 22:28:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gsocket
 Section: net
 Priority: optional
-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/hackerschoice/gsocket
 Vcs-Browser: https://salsa.debian.org/debian/gsocket
 Vcs-Git: https://salsa.debian.org/debian/gsocket.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod 755 $(CURDIR)/debian/gsocket/usr/share/gsocket/gs_funcs

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, @builddeps@, bc, rsync, net-tools, netcat, coreutils, socat, sshfs
Restrictions: build-needed, allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gsocket-$1\.tar\.gz/ \
  https://github.com/hackerschoice/gsocket/tags .*/v?(\d\S+)\.tar\.gz

## gsocket 1.4.39

=== tests/Makefile ===


clean:
	rm -rf id_sec.txt gs_nc test*.dat client*.txt server*.txt client*.dat server*.dat ft_test_dst ft_test_src
	>server.log</dev/null
	>client.log</dev/null

=== debian/changelog ===
gsocket (1.4.39-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file.
  * Update lintian-overrides.
  * Update debian/gsocket.symbols file.

 -- Daniel Echeverri <epsilon@debian.org>  Thu, 22 Dec 2022 09:48:41 -0500

gsocket (1.4.37-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version to 4.6.1 (no changes).
  * debian/copyright
    + Extend debian copyright holders years.

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 08 Jul 2022 20:26:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gsocket
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libssl-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/hackerschoice/gsocket
 Vcs-Browser: https://salsa.debian.org/debian/gsocket
 Vcs-Git: https://salsa.debian.org/debian/gsocket.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gsocket-$1.tar.gz%" \
 https://github.com/hackerschoice/gsocket/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## gsocket 1.4.40

=== packaging/openwrt/gsocket/Makefile ===
include $(TOPDIR)/rules.mk

PKG_NAME:=gsocket
PKG_VERSION:=1.4.39
PKG_RELEASE:=1

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=https://github.com/hackerschoice/gsocket/releases/download/v$(PKG_VERSION)/
PKG_HASH:=2042b3773e03285939fe7f0d0597a77c8d4958644b1d8a366cc71d384f1e5c30

PKG_MAINTAINER:=Ralf Kaiser <skyper@thc.org>
PKG_LICENSE:=BSD-2-Clause
PKG_LICENSE_FILES:=LICENSE

include $(INCLUDE_DIR)/package.mk

define Package/gsocket
  SECTION:=net
  CATEGORY:=Network
  DEPENDS:=+libopenssl
  TITLE:=Connect like there is no firewall
  URL:=https://gsocket.io
endef

define Package/gsocket/description
  Global Socket allows two workstations on different private networks to
  communicate with each other. Through firewalls and through NAT - like
  there is no firewall.

  The TCP connection is secured with AES-256 and using OpenSSL's SRP
  protocol (RFC 5054). It does not require a PKI and has forward
  secrecy and (optional) TOR support.

  The gsocket tools derive temporary session keys and IDs and connect
  two TCP pipes through the Global Socket Relay Network (GSRN). This is 
  done regardless and independent of the local IP Address or geographical
  location.

  The session keys (secrets) never leave the workstation. The GSRN sees only
  the encrypted traffic.

  The workhorse is 'gs-netcat' which opens a ssh-like interactive PTY
  command shell to a remote workstation (which resides on a private and
  remote network and/or behind a firewall).
endef

define Build/Configure
 $(call Build/Configure/Default,--with-linux-headers=$(LINUX_DIR) --libdir=$(STAGING_DIR)/usr/lib --includedir=$(STAGING_DIR)/usr/include)
endef

define Build/Compile
	$(MAKE) -C $(PKG_BUILD_DIR) \
	LD="$(TARGET_CXX)" \
	all
endef

define Package/gsocket/install
	$(INSTALL_DIR)	$(1)/bin
	$(INSTALL_DIR)	$(1)/share/gsocket
	$(INSTALL_DIR)	$(1)/lib
	$(INSTALL_DIR)	$(1)/etc
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gs-sftp                    $(1)/bin/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gs-mount                   $(1)/bin/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/blitz                      $(1)/bin/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gsocket                    $(1)/bin/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gs-netcat                  $(1)/bin/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gs_funcs                   $(1)/share/gsocket/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gsocket_uchroot_dso.so.0   $(1)/lib/
	$(INSTALL_BIN)	$(PKG_BUILD_DIR)/tools/gsocket_dso.so.0           $(1)/lib/
	$(INSTALL_CONF) $(PKG_BUILD_DIR)/tools/gsocket.conf               $(1)/etc/
endef

$(eval $(call BuildPackage,gsocket))

=== debian/changelog ===
gsocket (1.4.40-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version to 4.6.2 (no changes).
    + Add dpkg-dev package in Depends.
  * debian/copyright
    + Extend debian copyright holders years.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 18 Jun 2023 14:25:04 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libssl-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/hackerschoice/gsocket
 Vcs-Browser: https://salsa.debian.org/debian/gsocket
 Vcs-Git: https://salsa.debian.org/debian/gsocket.git
@@ -11,7 +11,7 @@
 
 Package: gsocket
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev
 Description: Allows two machines on different networks to communicate with each other
  Abandon the thought of IP Addresses and Port Numbers. Instead start thinking
  that two programs should be able to communicate with each other as long as

## gsocket 1.4.41

=== debian/changelog ===
gsocket (1.4.41-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:10 +1100

gsocket (1.4.41-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:09:32 +0000

gsocket (1.4.41-1) unstable; urgency=medium

  * New upstream version 1.4.41

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 30 Sep 2023 15:15:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gsocket
 Section: net
 Priority: optional
-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libssl-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/hackerschoice/gsocket

## gsocket 1.4.43

=== packaging/Makefile ===

VERSION=1.4.23
BIN_NAME=gsocket
PKG_NAME=${BIN_NAME}-${VERSION}

debuild-setup: ../${PKG_NAME}.tar.gz
	rm -rf build
	mkdir build
	cp ../${PKG_NAME}.tar.gz build && \
	cd build && \
	tar xfz ${PKG_NAME}.tar.gz
	-cd build/${PKG_NAME} && \
	dh_make -sy -f ../${PKG_NAME}.tar.gz && \
	rm -f debian/*.EX debian/*.ex debian/*.docs debian/README.* && \
	cp -a ../../debian/* debian/ && \
	uscan . 

debian-debuild: debuild-setup
	cd build/${PKG_NAME} && \
	debuild -S
	lintian --pedantic -IE build/${BIN_NAME}_*.dsc

clean:
	rm -rf ./build ./${PKG_NAME}.tar.gz

debian: debian-debuild
	echo Done.

=== packaging/openwrt/gsocket/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=gsocket
-PKG_VERSION:=1.4.39
+PKG_VERSION:=1.4.41
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://github.com/hackerschoice/gsocket/releases/download/v$(PKG_VERSION)/
-PKG_HASH:=2042b3773e03285939fe7f0d0597a77c8d4958644b1d8a366cc71d384f1e5c30
+PKG_HASH:=fa9d811db7ccad82f421fa94ac9a7f5c44380429d1515c17baf50043ffaa38c7
 
 PKG_MAINTAINER:=Ralf Kaiser <skyper@thc.org>
 PKG_LICENSE:=BSD-2-Clause

=== debian/changelog ===
gsocket (1.4.43-4) unstable; urgency=medium

  * Update symbols file for loong64. (Closes: #1074293)
    + Thanks to zhangdandan for the patch!

 -- Daniel Echeverri <epsilon@debian.org>  Thu, 27 Jun 2024 21:48:58 -0500

gsocket (1.4.43-3) unstable; urgency=medium

  * Update symbols file, ignore symbol on ppc64el

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 08 Jun 2024 22:33:41 -0500

gsocket (1.4.43-2) unstable; urgency=medium

  * Fix FTBFS in some archs. (Closes: #1071928)

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 02 Jun 2024 21:21:19 -0500

gsocket (1.4.43-1) unstable; urgency=medium

  * New upstream version 1.4.43 (Closes: #1065966)
  * debian/copyright
    + Extend debian copyright holders years.
  * debian/control
    + Bump Standards-Version to 4.7.0 (no changes).
  * Update debian/gsocket.symbols file.

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 24 May 2024 17:54:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gsocket
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libssl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/hackerschoice/gsocket
 Vcs-Browser: https://salsa.debian.org/debian/gsocket
 Vcs-Git: https://salsa.debian.org/debian/gsocket.git

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, @builddeps@, bc, rsync, net-tools, netcat, coreutils, socat, sshfs
Restrictions: build-needed, allow-stderr

Tests: flaky-tests
Depends: @, @builddeps@, net-tools, netcat, coreutils, rsync
Restrictions: build-needed, allow-stderr, flaky
